API Reference
List Models
GET
/
v1
/
models
Error
A valid request URL is required to generate request examples{
"models": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"organization": {
"id": "<string>",
"name": "<string>"
},
"license": {
"id": "<string>",
"name": "<string>",
"allow_commercial": true,
"open_source": true
},
"open_weight": true,
"model_type": "<string>",
"modalities": [
"<string>"
],
"providers": [
{
"provider_id": "<string>",
"provider_name": "<string>",
"status": "<string>",
"input_price_per_m": 123,
"output_price_per_m": 123,
"throughput_tps": 123,
"latency_s": 123
}
],
"top_scores": {},
"inference": {
"available": true,
"endpoint": "<string>",
"gateway_model_id": "<string>",
"openai_compatible": false,
"supports_streaming": false,
"supports_tools": false,
"supports_vision": false,
"docs_url": "https://docs.llm-stats.com/gateway/chat-completions"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"url": "<string>",
"family": {
"id": "<string>",
"name": "<string>"
},
"context_window": 123,
"param_count": 123,
"training_tokens": 123,
"knowledge_cutoff": "2023-12-25",
"release_date": "2023-12-25"
}
],
"total": 123,
"next_cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"help_url": "<string>",
"limit_type": "<string>",
"plan": "<string>",
"reset_at": "<string>",
"request_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 200⌘I
Error
A valid request URL is required to generate request examples{
"models": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"organization": {
"id": "<string>",
"name": "<string>"
},
"license": {
"id": "<string>",
"name": "<string>",
"allow_commercial": true,
"open_source": true
},
"open_weight": true,
"model_type": "<string>",
"modalities": [
"<string>"
],
"providers": [
{
"provider_id": "<string>",
"provider_name": "<string>",
"status": "<string>",
"input_price_per_m": 123,
"output_price_per_m": 123,
"throughput_tps": 123,
"latency_s": 123
}
],
"top_scores": {},
"inference": {
"available": true,
"endpoint": "<string>",
"gateway_model_id": "<string>",
"openai_compatible": false,
"supports_streaming": false,
"supports_tools": false,
"supports_vision": false,
"docs_url": "https://docs.llm-stats.com/gateway/chat-completions"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"source": "<string>",
"url": "<string>",
"family": {
"id": "<string>",
"name": "<string>"
},
"context_window": 123,
"param_count": 123,
"training_tokens": 123,
"knowledge_cutoff": "2023-12-25",
"release_date": "2023-12-25"
}
],
"total": 123,
"next_cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"help_url": "<string>",
"limit_type": "<string>",
"plan": "<string>",
"reset_at": "<string>",
"request_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}